%define abi		0
%define libname		%mklibname cuneiform %{abi}
%define develname	%mklibname cuneiform -d

# datafiles must have DOS-style EOL
%define dont_fix_eol	1

Name:		cuneiform-linux
Summary:	An command-line OCR system
Version:	1.1.0
%global subrel 1
Release:	%mkrel 6
License:	BSD
URL:		https://launchpad.net/cuneiform-linux
Group:		Text tools
Source0:	http://launchpad.net/cuneiform-linux/1.1/1.1/+download/%{name}-%{version}.tar.bz2
Patch0:		cuneiform-size4to5.patch
BuildRequires:	cmake
BuildRequires:	pkgconfig(ImageMagick++)

%description
Cuneiform is an multi-language OCR system originally developed
and open sourced by Cognitive Technologies. Cuneiform was
originally a Windows program, which was ported to Linux
by Jussi Pakkanen.

%package -n %{libname}
Summary:	Cuneiform OCR system shared libraries
Group:		System/Libraries

%description -n %{libname}
Cuneiform is an multi-language OCR system originally developed
and open sourced by Cognitive Technologies. Cuneiform was
originally a Windows program, which was ported to Linux
by Jussi Pakkanen.

%package -n %{develname}
Summary:	Cuneiform development files
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Requires:	pkgconfig(ImageMagick++)

%description -n %{develname}
Cuneiform is an multi-language OCR system originally developed
and open sourced by Cognitive Technologies. Cuneiform was
originally a Windows program, which was ported to Linux
by Jussi Pakkanen.

This package contains files required only for development purpose.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .size4to5

%build
%cmake -DCMAKE_BUILD_TYPE=relwithdebinfo
%make

%install
cp original\ russian\ readme.rtf original_russian_readme.rtf
cd build
%makeinstall_std

%files
# cuneiform_src/Kern/license.txt is in Russian
%doc issues.txt original_russian_readme.rtf readme.txt cuneiform_src/Kern/license.txt
%{_bindir}/cuneiform
%{_datadir}/cuneiform/*.dat

%files -n %{libname}
%{_libdir}/*.so.%{abi}*
%{_libdir}/*.so.%{version}

%files -n %{develname}
%{_libdir}/*.so
%{_includedir}/cuneiform.h



%changelog
* Tue Jun 21 2016 shlomif <shlomif> 1.1.0-6.1.mga5
+ Revision: 1037102
- New version for new libMagick++

* Wed Oct 15 2014 umeabot <umeabot> 1.1.0-6.mga5
+ Revision: 749302
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 1.1.0-5.mga5
+ Revision: 693706
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 1.1.0-4.mga5
+ Revision: 678616
- Mageia 5 Mass Rebuild

* Sat Aug 23 2014 fwang <fwang> 1.1.0-3.mga5
+ Revision: 666772
- rebuild for imagemagick

* Mon Apr 07 2014 alexl <alexl> 1.1.0-2.mga5
+ Revision: 612698
- fix Requires for devel package

* Mon Apr 07 2014 alexl <alexl> 1.1.0-1.mga5
+ Revision: 612608
- imported package cuneiform-linux

